BSL430.NET 1.2.1

Public Attributes | List of all members
FTD2XX_NET.FTDI.FT_BIT_MODES Class Reference

Permitted bit mode values for FTDI devices. For use with SetBitMode More...

## Public Attributes
const byte | FT_BIT_MODE_RESET = 0x00
| Reset bit mode More...
const byte | FT_BIT_MODE_ASYNC_BITBANG = 0x01
| Asynchronous bit-bang mode More...
const byte | FT_BIT_MODE_MPSSE = 0x02
| MPSSE bit mode - only available on FT2232, FT2232H, FT4232H and FT232H More...
const byte | FT_BIT_MODE_SYNC_BITBANG = 0x04
| Synchronous bit-bang mode More...
const byte | FT_BIT_MODE_MCU_HOST = 0x08
| MCU host bus emulation mode - only available on FT2232, FT2232H, FT4232H and FT232H More...
const byte | FT_BIT_MODE_FAST_SERIAL = 0x10
| Fast opto-isolated serial mode - only available on FT2232, FT2232H, FT4232H and FT232H More...
const byte | FT_BIT_MODE_CBUS_BITBANG = 0x20
| CBUS bit-bang mode - only available on FT232R and FT232H More...
const byte | FT_BIT_MODE_SYNC_FIFO = 0x40
| Single channel synchronous 245 FIFO mode - only available on FT2232H channel A and FT232H More...

## Detailed Description

Permitted bit mode values for FTDI devices. For use with SetBitMode

## Member Data Documentation

## ◆ FT_BIT_MODE_ASYNC_BITBANG

const byte FTD2XX_NET.FTDI.FT_BIT_MODES.FT_BIT_MODE_ASYNC_BITBANG = 0x01

Asynchronous bit-bang mode

## ◆ FT_BIT_MODE_CBUS_BITBANG

const byte FTD2XX_NET.FTDI.FT_BIT_MODES.FT_BIT_MODE_CBUS_BITBANG = 0x20

CBUS bit-bang mode - only available on FT232R and FT232H

## ◆ FT_BIT_MODE_FAST_SERIAL

const byte FTD2XX_NET.FTDI.FT_BIT_MODES.FT_BIT_MODE_FAST_SERIAL = 0x10

Fast opto-isolated serial mode - only available on FT2232, FT2232H, FT4232H and FT232H

## ◆ FT_BIT_MODE_MCU_HOST

const byte FTD2XX_NET.FTDI.FT_BIT_MODES.FT_BIT_MODE_MCU_HOST = 0x08

MCU host bus emulation mode - only available on FT2232, FT2232H, FT4232H and FT232H

## ◆ FT_BIT_MODE_MPSSE

const byte FTD2XX_NET.FTDI.FT_BIT_MODES.FT_BIT_MODE_MPSSE = 0x02

MPSSE bit mode - only available on FT2232, FT2232H, FT4232H and FT232H

## ◆ FT_BIT_MODE_RESET

const byte FTD2XX_NET.FTDI.FT_BIT_MODES.FT_BIT_MODE_RESET = 0x00

Reset bit mode

## ◆ FT_BIT_MODE_SYNC_BITBANG

const byte FTD2XX_NET.FTDI.FT_BIT_MODES.FT_BIT_MODE_SYNC_BITBANG = 0x04

Synchronous bit-bang mode

## ◆ FT_BIT_MODE_SYNC_FIFO

const byte FTD2XX_NET.FTDI.FT_BIT_MODES.FT_BIT_MODE_SYNC_FIFO = 0x40

Single channel synchronous 245 FIFO mode - only available on FT2232H channel A and FT232H

The documentation for this class was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/FTD2XX_NET.cs